How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask John T. F. Your Own Question

John T. F.
John T. F., Mac Druid
Category: Mac
Satisfied Customers: 2951
Experience:  20+ years in the computer/Mac industry
60674955
Type Your Mac Question Here...
John T. F. is online now
A new question is answered every 9 seconds

I just loaded disc to my Mac and it says its not supported.

This answer was rated:

I just loaded disc to my Mac and it says it's not supported. Now what do I do?
Hello! My name isXXXXX will work diligently to provide accurate advice and information. Please remember that when you are asked to give a rating, you are rating my service only and not this website itself or your issue.

Can you tell me the version of TurboTax you are trying to load?

Also, can you tell me what version of OS X you are currently running?

Click the Apple Logo in the menu bar at the top of the screen

Select "About This Mac"

In the window that opens, look for the "Version" information. Please let me know what it says.

Thanks,
John
Customer: replied 3 years ago.

Mac OSX 10.6.8

Thanks Gene, and which version of TurboTax?

Customer: replied 3 years ago.

2012

Thanks again.

Turbotax 2012 for Mac is compatible with OS X 10.6.8 however, it's possible you may have another compatibility issue.

Click the Apple Logo in the menu bar at the top of the screen

Select "About This Mac"

Can you tell me the Processor and Memory listed?

Customer: replied 3 years ago.

Processor: 2 GHz Intel Core duo


Memory 2 GB 667 MHz DDR2 SDRAM

Customer: replied 3 years ago.

John you still there?

Okay, I see the problem now.

I really hate to be the bearer of bad news but TurboTax 2012 specifically requires a 64-bit processor for users of OS X 10.6.8.

In the case of your iMac you meet all the requirements except for this one. Unfortunately, it is a rather big stumbling block because you can not upgrade the processor and so therefore can not use this version of TurboTax.

Intuit does have an alternative option which is to use TurboTax Online:
http://turbotax.intuit.com/personal-taxes/

(Choose the Online version if it is not already selected for more info).

Again, I'm sorry that answer is not a postive one. If you continue to have questions on this topic, just reply back to this discussion prior to rating. I will be more than happy to work with you further. Hopefully, this info will answer your question and if so please don't forget to positively rate my service .

Thanks and good luck,
John
Customer: replied 3 years ago.

What would I do to secure a 64-bit processor?

In this case, since you can't upgrade the iMac you have now (the processor is built-in and not replaceable) then the only option would be to upgrade to a newer Mac.

All current Macs features 64-bit processors and newer versions of OS X so do not have this limitation.

John
Customer: replied 3 years ago.

Wow what an operation! If I go on-line will I be able to use this MAC moving forward? I've used Turbo Tax for many years.

The current system requirements for TurboTax Online are well below what you currently have so you *should* be fine but Intuit can change this at any time in the future, sadly, so we are at their mercy.

John
John T. F. and 3 other Mac Specialists are ready to help you
Customer: replied 3 years ago.

Thanks I'll give it a shot and hope I can return this disc and get a refund.

You are very welcome!

I really enjoyed working with you – please feel free to request me again at any time when you come back to ask another question. I can be reached directly via the following page:

http://www.justanswer.com/computer/expert-macdruid/

John